# Get idea

GET /ideas/{idea}. Parameters, permissions, request and response schemas.

`GET /ideas/{idea}`

Get idea. Requires the REST `read` token ability. The bearer token selects the Team; a supplied team\_id cannot switch tenants. Additional role, entity-policy and plan requirements vary by operation.

## Authentication

Use a team API key as `Authorization: Bearer YOUR_API_KEY`. The token ability and the user’s role must both allow this operation. See [authentication](https://conversionlab.app/docs/developer/authentication).

```json
{
  "ability": "read",
  "team": "Token-bound Team",
  "authorization": "Additional role, entity-policy and plan requirements vary by operation."
}
```

## Parameters

| Name      | Location | Required | Description                                                                                         |
| --------- | -------- | -------- | --------------------------------------------------------------------------------------------------- |
| `idea`    | path     | Yes      | The idea ID                                                                                         |
| `include` | query    | No       | Comma-separated relationships or counts. Allowed: audiences, experiments, insights, metrics, pages. |

### idea

```json
{
  "type": "integer",
  "minimum": 1
}
```

### include

```json
{
  "type": "string"
}
```

## Example request

```bash
curl --request GET 'https://api.example.test/api/ideas/1' \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Accept: application/json'
```

Examples use fictional data. Replace resource IDs and the API host with your environment’s values.

## Responses

### 200

`IdeaResource`

Content type: `application/json`.

```json
{
  "type": "object",
  "properties": {
    "data": {
      "allOf": [
        {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer"
            },
            "custom_id": {
              "type": [
                "string",
                "null"
              ]
            },
            "numbering_scheme_id": {
              "type": [
                "integer",
                "null"
              ]
            },
            "custom_id_number": {
              "type": [
                "integer",
                "null"
              ]
            },
            "project_id": {
              "type": [
                "integer",
                "null"
              ]
            },
            "state_id": {
              "type": [
                "integer",
                "null"
              ]
            },
            "name": {
              "type": "string"
            },
            "description": {
              "type": [
                "string",
                "null"
              ]
            },
            "hypothesis": {
              "type": [
                "string",
                "null"
              ]
            },
            "user_id": {
              "type": [
                "integer",
                "null"
              ]
            },
            "source": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "audit",
                    "insight",
                    "experiment",
                    "form",
                    "api"
                  ],
                  "title": "IdeaSourceType"
                },
                {
                  "type": "null"
                }
              ]
            },
            "source_id": {
              "type": [
                "integer",
                "null"
              ]
            },
            "source_item_key": {
              "type": [
                "string",
                "null"
              ]
            },
            "source_name": {
              "type": [
                "string",
                "null"
              ]
            },
            "priority_values": {
              "description": "JSON object or array. Object keys depend on the provider, form question, or configuration being stored.",
              "anyOf": [
                {
                  "type": "object",
                  "additionalProperties": {
                    "description": "An arbitrary JSON value retained by a metadata/settings field.",
                    "oneOf": [
                      {
                        "type": "null"
                      },
                      {
                        "type": "boolean"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "string"
                      },
                      {
                        "type": "array",
                        "items": {
                          "$ref": "#/components/schemas/JsonValue"
                        }
                      },
                      {
                        "type": "object",
                        "additionalProperties": {
                          "$ref": "#/components/schemas/JsonValue"
                        }
                      }
                    ]
                  }
                },
                {
                  "type": "array",
                  "items": {
                    "description": "An arbitrary JSON value retained by a metadata/settings field.",
                    "oneOf": [
                      {
                        "type": "null"
                      },
                      {
                        "type": "boolean"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "string"
                      },
                      {
                        "type": "array",
                        "items": {
                          "$ref": "#/components/schemas/JsonValue"
                        }
                      },
                      {
                        "type": "object",
                        "additionalProperties": {
                          "$ref": "#/components/schemas/JsonValue"
                        }
                      }
                    ]
                  }
                },
                {
                  "type": "null"
                }
              ]
            },
            "priority_score": {
              "type": [
                "number",
                "null"
              ]
            },
            "priority_details": {
              "description": "JSON object or array. Object keys depend on the provider, form question, or configuration being stored.",
              "anyOf": [
                {
                  "type": "object",
                  "additionalProperties": {
                    "description": "An arbitrary JSON value retained by a metadata/settings field.",
                    "oneOf": [
                      {
                        "type": "null"
                      },
                      {
                        "type": "boolean"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "string"
                      },
                      {
                        "type": "array",
                        "items": {
                          "$ref": "#/components/schemas/JsonValue"
                        }
                      },
                      {
                        "type": "object",
                        "additionalProperties": {
                          "$ref": "#/components/schemas/JsonValue"
                        }
                      }
                    ]
                  }
                },
                {
                  "type": "array",
                  "items": {
                    "description": "An arbitrary JSON value retained by a metadata/settings field.",
                    "oneOf": [
                      {
                        "type": "null"
                      },
                      {
                        "type": "boolean"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "string"
                      },
                      {
                        "type": "array",
                        "items": {
                          "$ref": "#/components/schemas/JsonValue"
                        }
                      },
                      {
                        "type": "object",
                        "additionalProperties": {
                          "$ref": "#/components/schemas/JsonValue"
                        }
                      }
                    ]
                  }
                },
                {
                  "type": "null"
                }
              ]
            },
            "priority_calculated_at": {
              "type": [
                "string",
                "null"
              ],
              "format": "date-time"
            },
            "created_at": {
              "type": [
                "string",
                "null"
              ],
              "format": "date-time"
            },
            "updated_at": {
              "type": [
                "string",
                "null"
              ],
              "format": "date-time"
            },
            "state": {
              "anyOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer"
                    },
                    "project_id": {
                      "type": [
                        "integer",
                        "null"
                      ]
                    },
                    "name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "description": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "color": {
                      "anyOf": [
                        {
                          "type": "string",
                          "enum": [
                            "gray",
                            "red",
                            "orange",
                            "green",
                            "blue",
                            "purple",
                            "rose"
                          ],
                          "title": "IdeaStateColor"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "order": {
                      "type": [
                        "integer",
                        "null"
                      ]
                    },
                    "created_at": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "format": "date-time"
                    },
                    "updated_at": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "format": "date-time"
                    }
                  },
                  "required": [
                    "id",
                    "project_id",
                    "name",
                    "description",
                    "color",
                    "order",
                    "created_at",
                    "updated_at"
                  ],
                  "title": "IdeaStateResource"
                },
                {
                  "type": "null"
                }
              ]
            },
            "audiences": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "import_source": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_ref": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "data_import_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "imported_at": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "project_id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "description": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_platform": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_synced_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "external_metadata": {
                    "description": "JSON object or array. Object keys depend on the provider, form question, or configuration being stored.",
                    "anyOf": [
                      {
                        "type": "object",
                        "additionalProperties": {
                          "description": "An arbitrary JSON value retained by a metadata/settings field.",
                          "oneOf": [
                            {
                              "type": "null"
                            },
                            {
                              "type": "boolean"
                            },
                            {
                              "type": "number"
                            },
                            {
                              "type": "string"
                            },
                            {
                              "type": "array",
                              "items": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            },
                            {
                              "type": "object",
                              "additionalProperties": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            }
                          ]
                        }
                      },
                      {
                        "type": "array",
                        "items": {
                          "description": "An arbitrary JSON value retained by a metadata/settings field.",
                          "oneOf": [
                            {
                              "type": "null"
                            },
                            {
                              "type": "boolean"
                            },
                            {
                              "type": "number"
                            },
                            {
                              "type": "string"
                            },
                            {
                              "type": "array",
                              "items": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            },
                            {
                              "type": "object",
                              "additionalProperties": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            }
                          ]
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "created_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "updated_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "deleted_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  }
                },
                "required": [
                  "id",
                  "import_source",
                  "import_source_ref",
                  "import_source_id",
                  "data_import_id",
                  "imported_at",
                  "project_id",
                  "name",
                  "description",
                  "external_id",
                  "external_platform",
                  "external_synced_at",
                  "external_metadata",
                  "created_at",
                  "updated_at",
                  "deleted_at"
                ],
                "title": "AudienceResource"
              }
            },
            "experiments": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "custom_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "numbering_scheme_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "custom_id_number": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "import_source": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_ref": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "data_import_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "imported_at": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "project_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "type": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "ab_test",
                          "multivariate_test"
                        ],
                        "title": "ExperimentType"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "state_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "name": {
                    "type": "string"
                  },
                  "description": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "hypothesis": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "primary_metric_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "start_date": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "end_date": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "stop_reason": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "hypothesis_rejected",
                          "hypothesis_iteration",
                          "user_feedback",
                          "data_issue",
                          "implementation_issue",
                          "experiment_setup_issue",
                          "guardrail_metric_impact",
                          "secondary_metric_impact",
                          "operational_decision",
                          "performance_issue",
                          "testing",
                          "tracking_issue",
                          "other"
                        ],
                        "title": "ExperimentStopReason"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "result": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "conclusive_winner",
                          "conclusive_loser",
                          "inconclusive",
                          "error",
                          "other"
                        ],
                        "title": "ExperimentResult"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "decision": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "implement",
                          "rollout",
                          "retest",
                          "iterate",
                          "reject"
                        ],
                        "title": "ExperimentDecision"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "learning": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "user_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "external_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_platform": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_synced_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "external_metadata": {
                    "description": "JSON object or array. Object keys depend on the provider, form question, or configuration being stored.",
                    "anyOf": [
                      {
                        "type": "object",
                        "additionalProperties": {
                          "description": "An arbitrary JSON value retained by a metadata/settings field.",
                          "oneOf": [
                            {
                              "type": "null"
                            },
                            {
                              "type": "boolean"
                            },
                            {
                              "type": "number"
                            },
                            {
                              "type": "string"
                            },
                            {
                              "type": "array",
                              "items": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            },
                            {
                              "type": "object",
                              "additionalProperties": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            }
                          ]
                        }
                      },
                      {
                        "type": "array",
                        "items": {
                          "description": "An arbitrary JSON value retained by a metadata/settings field.",
                          "oneOf": [
                            {
                              "type": "null"
                            },
                            {
                              "type": "boolean"
                            },
                            {
                              "type": "number"
                            },
                            {
                              "type": "string"
                            },
                            {
                              "type": "array",
                              "items": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            },
                            {
                              "type": "object",
                              "additionalProperties": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            }
                          ]
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "created_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "updated_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "deleted_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "latest_approval": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer"
                          },
                          "experiment_id": {
                            "type": "integer"
                          },
                          "user_id": {
                            "type": "integer"
                          },
                          "status": {
                            "type": "string"
                          },
                          "notes": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "approved_at": {
                            "type": "string"
                          },
                          "created_at": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "user": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "name": {
                                "type": "string"
                              },
                              "email": {
                                "type": "string"
                              },
                              "avatar": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              }
                            },
                            "required": [
                              "id",
                              "name",
                              "email",
                              "avatar"
                            ]
                          }
                        },
                        "required": [
                          "id",
                          "experiment_id",
                          "user_id",
                          "status",
                          "notes",
                          "approved_at",
                          "created_at"
                        ],
                        "title": "ExperimentApprovalResource"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "approvals": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer"
                        },
                        "experiment_id": {
                          "type": "integer"
                        },
                        "user_id": {
                          "type": "integer"
                        },
                        "status": {
                          "type": "string"
                        },
                        "notes": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "approved_at": {
                          "type": "string"
                        },
                        "created_at": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "user": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "integer"
                            },
                            "name": {
                              "type": "string"
                            },
                            "email": {
                              "type": "string"
                            },
                            "avatar": {
                              "type": [
                                "string",
                                "null"
                              ]
                            }
                          },
                          "required": [
                            "id",
                            "name",
                            "email",
                            "avatar"
                          ]
                        }
                      },
                      "required": [
                        "id",
                        "experiment_id",
                        "user_id",
                        "status",
                        "notes",
                        "approved_at",
                        "created_at"
                      ],
                      "title": "ExperimentApprovalResource"
                    }
                  }
                },
                "required": [
                  "id",
                  "custom_id",
                  "numbering_scheme_id",
                  "custom_id_number",
                  "import_source",
                  "import_source_ref",
                  "import_source_id",
                  "data_import_id",
                  "imported_at",
                  "project_id",
                  "type",
                  "state_id",
                  "name",
                  "description",
                  "hypothesis",
                  "primary_metric_id",
                  "start_date",
                  "end_date",
                  "stop_reason",
                  "result",
                  "decision",
                  "learning",
                  "user_id",
                  "external_id",
                  "external_platform",
                  "external_synced_at",
                  "external_metadata",
                  "created_at",
                  "updated_at",
                  "deleted_at"
                ],
                "title": "ExperimentResource"
              }
            },
            "insights": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "custom_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "numbering_scheme_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "custom_id_number": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "import_source": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_ref": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "data_import_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "imported_at": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "project_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "research_collection_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "insight_label_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "user_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "source": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "source_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "source_item_key": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "source_label": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "description": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "created_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "updated_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "deleted_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "has_ideas": {
                    "type": "boolean"
                  }
                },
                "required": [
                  "id",
                  "custom_id",
                  "numbering_scheme_id",
                  "custom_id_number",
                  "import_source",
                  "import_source_ref",
                  "import_source_id",
                  "data_import_id",
                  "imported_at",
                  "project_id",
                  "research_collection_id",
                  "insight_label_id",
                  "user_id",
                  "source",
                  "source_id",
                  "source_item_key",
                  "source_label",
                  "name",
                  "description",
                  "created_at",
                  "updated_at",
                  "deleted_at",
                  "has_ideas"
                ],
                "title": "InsightResource"
              }
            },
            "metrics": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "import_source": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_ref": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "data_import_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "imported_at": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "project_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "name": {
                    "type": "string"
                  },
                  "description": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "type": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "average-per-user",
                          "rate-per-user",
                          "average-per-session",
                          "rate-per-session"
                        ],
                        "title": "MetricType"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "winning_direction": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "increasing",
                          "decreasing"
                        ],
                        "title": "MetricWinningDirection"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "external_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_platform": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_synced_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "external_metadata": {
                    "description": "JSON object or array. Object keys depend on the provider, form question, or configuration being stored.",
                    "anyOf": [
                      {
                        "type": "object",
                        "additionalProperties": {
                          "description": "An arbitrary JSON value retained by a metadata/settings field.",
                          "oneOf": [
                            {
                              "type": "null"
                            },
                            {
                              "type": "boolean"
                            },
                            {
                              "type": "number"
                            },
                            {
                              "type": "string"
                            },
                            {
                              "type": "array",
                              "items": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            },
                            {
                              "type": "object",
                              "additionalProperties": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            }
                          ]
                        }
                      },
                      {
                        "type": "array",
                        "items": {
                          "description": "An arbitrary JSON value retained by a metadata/settings field.",
                          "oneOf": [
                            {
                              "type": "null"
                            },
                            {
                              "type": "boolean"
                            },
                            {
                              "type": "number"
                            },
                            {
                              "type": "string"
                            },
                            {
                              "type": "array",
                              "items": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            },
                            {
                              "type": "object",
                              "additionalProperties": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            }
                          ]
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "created_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "updated_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "deleted_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  }
                },
                "required": [
                  "id",
                  "import_source",
                  "import_source_ref",
                  "import_source_id",
                  "data_import_id",
                  "imported_at",
                  "project_id",
                  "name",
                  "description",
                  "type",
                  "winning_direction",
                  "external_id",
                  "external_platform",
                  "external_synced_at",
                  "external_metadata",
                  "created_at",
                  "updated_at",
                  "deleted_at"
                ],
                "title": "MetricResource"
              }
            },
            "pages": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "import_source": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_ref": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "import_source_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "data_import_id": {
                    "type": [
                      "integer",
                      "null"
                    ]
                  },
                  "imported_at": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "project_id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "description": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_platform": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "external_synced_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "external_metadata": {
                    "description": "JSON object or array. Object keys depend on the provider, form question, or configuration being stored.",
                    "anyOf": [
                      {
                        "type": "object",
                        "additionalProperties": {
                          "description": "An arbitrary JSON value retained by a metadata/settings field.",
                          "oneOf": [
                            {
                              "type": "null"
                            },
                            {
                              "type": "boolean"
                            },
                            {
                              "type": "number"
                            },
                            {
                              "type": "string"
                            },
                            {
                              "type": "array",
                              "items": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            },
                            {
                              "type": "object",
                              "additionalProperties": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            }
                          ]
                        }
                      },
                      {
                        "type": "array",
                        "items": {
                          "description": "An arbitrary JSON value retained by a metadata/settings field.",
                          "oneOf": [
                            {
                              "type": "null"
                            },
                            {
                              "type": "boolean"
                            },
                            {
                              "type": "number"
                            },
                            {
                              "type": "string"
                            },
                            {
                              "type": "array",
                              "items": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            },
                            {
                              "type": "object",
                              "additionalProperties": {
                                "$ref": "#/components/schemas/JsonValue"
                              }
                            }
                          ]
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "created_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "updated_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  },
                  "deleted_at": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "format": "date-time"
                  }
                },
                "required": [
                  "id",
                  "import_source",
                  "import_source_ref",
                  "import_source_id",
                  "data_import_id",
                  "imported_at",
                  "project_id",
                  "name",
                  "description",
                  "external_id",
                  "external_platform",
                  "external_synced_at",
                  "external_metadata",
                  "created_at",
                  "updated_at",
                  "deleted_at"
                ],
                "title": "PageResource"
              }
            },
            "experiments_count": {
              "type": "integer"
            },
            "insights_count": {
              "type": "integer"
            }
          },
          "required": [
            "id",
            "custom_id",
            "numbering_scheme_id",
            "custom_id_number",
            "project_id",
            "state_id",
            "name",
            "description",
            "hypothesis",
            "user_id",
            "source",
            "source_id",
            "source_item_key",
            "source_name",
            "priority_values",
            "priority_score",
            "priority_details",
            "priority_calculated_at",
            "created_at",
            "updated_at"
          ],
          "title": "IdeaResource"
        },
        {
          "type": "object",
          "required": [
            "audiences"
          ]
        }
      ]
    }
  },
  "required": [
    "data"
  ]
}
```

```json
{
  "data": {
    "id": 101,
    "custom_id": null,
    "numbering_scheme_id": null,
    "custom_id_number": null,
    "project_id": null,
    "state_id": null,
    "name": "Checkout delivery estimate",
    "description": null,
    "hypothesis": null,
    "user_id": null,
    "source": null,
    "source_id": null,
    "source_item_key": null,
    "source_name": null,
    "priority_values": null,
    "priority_score": null,
    "priority_details": null,
    "priority_calculated_at": null,
    "created_at": null,
    "updated_at": null,
    "audiences": [
      {
        "id": 101,
        "import_source": null,
        "import_source_ref": null,
        "import_source_id": null,
        "data_import_id": null,
        "imported_at": null,
        "project_id": 101,
        "name": "Checkout delivery estimate",
        "description": null,
        "external_id": null,
        "external_platform": null,
        "external_synced_at": null,
        "external_metadata": null,
        "created_at": null,
        "updated_at": null,
        "deleted_at": null
      }
    ]
  }
}
```

### 401

Unauthenticated

Content type: `application/json`.

```json
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string",
      "description": "Error overview."
    }
  },
  "required": [
    "message"
  ]
}
```

```json
{
  "message": "The request could not be completed."
}
```

### 403

Authorization error

Content type: `application/json`.

```json
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string",
      "description": "Error overview."
    }
  },
  "required": [
    "message"
  ]
}
```

```json
{
  "message": "The request could not be completed."
}
```

### 404

Not found

Content type: `application/json`.

```json
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string",
      "description": "Error overview."
    }
  },
  "required": [
    "message"
  ]
}
```

```json
{
  "message": "The request could not be completed."
}
```

### 422

Validation error

Content type: `application/json`.

```json
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string",
      "description": "Errors overview."
    },
    "errors": {
      "type": "object",
      "description": "A detailed description of each field that failed validation.",
      "additionalProperties": {
        "type": "array",
        "items": {
          "type": "string"
        }
      }
    }
  },
  "required": [
    "message",
    "errors"
  ]
}
```

```json
{
  "message": "The request could not be completed.",
  "errors": {
    "name": [
      "The name field is required."
    ]
  }
}
```

### 429

Rate limit exceeded. Honor Retry-After before retrying.

Response headers:

```json
{
  "Retry-After": {
    "description": "Seconds before retrying.",
    "schema": {
      "type": "integer"
    }
  }
}
```

Content type: `application/json`.

```json
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string",
      "example": "Too Many Attempts."
    }
  },
  "required": [
    "message"
  ]
}
```

```json
{
  "message": "Too Many Attempts."
}
```

See [API conventions](https://conversionlab.app/docs/developer/api-conventions) for error handling, rate limits, pagination, and uploads.
